baz_block_status.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <gnuradio/msg_queue.h>`
Include dependency graph for baz_block_status.h:

Go to the source code of this file.

## Classes

class | baz_block_status
| square2 a stream of floats. More...

## Functions

BAZ_API baz_block_status_sptr | baz_make_block_status (int size, unsigned long work_iterations, unsigned long samples_processed, gr::msg_queue::sptr queue=gr::msg_queue::sptr())
| Return a shared_ptr to a new instance of baz_block_status. More...

## Variables

class BAZ_API | baz_block_status

## Function Documentation

## baz_make_block_status()

BAZ_API baz_block_status_sptr baz_make_block_status | ( | int | size,
|  | unsigned long | work_iterations,
|  | unsigned long | samples_processed,
|  | gr::msg_queue::sptr | queue = `gr::msg_queue::sptr()`
| ) |  |

Return a shared_ptr to a new instance of baz_block_status.

To avoid accidental use of raw pointers, baz_block_status's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

## Variable Documentation

## baz_block_status

class BAZ_API baz_block_status